import { Component, Inject, OnInit } from '@angular/core';
import { MAT_DIALOG_DATA } from '@angular/material/dialog';

@Component({
  selector: 'app-partition-type-organizator',
  templateUrl: './partition-type-organizator.component.html',
  styleUrl: './partition-type-organizator.component.css'
})
export class PartitionTypeOrganizatorComponent implements OnInit {
  constructor(@Inject(MAT_DIALOG_DATA) public data: any) { }

  public simplifiedData: any[] = [];
  displayedColumns: string[] = ['diskNumber', 'partitionNumber', 'partitionCode', 'size', 'filesystem', 'memoryUsage'];

  ngOnInit(): void {
    this.simplifiedData = this.data.map((client: any) => ({
      name: client.name,
      partitions: client.partitions.map((p: any) => ({
        diskNumber: p.diskNumber,
        partitionNumber: p.partitionNumber,
        partitionCode: p.partitionCode,
        size: p.size,
        filesystem: p.filesystem,
        memoryUsage: p.memoryUsage
      }))
    }));
  }
}
